Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033969
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementcriticalalways2016-09-13 12:562016-11-03 18:17
ReporterdmiguelezView Statuspublic 
Assigned Todmiguelez 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q3.3
StatusclosedFix in branchFixed in SCM revision68f32f459864
ProjectionnoneETAnoneTarget Version3.0PR16Q3.3
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2016-04-18
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/5406f70dad91 [^]
Triggers an Emergency PackNo
Summary

0033969: Wrong costs calculated with Backdated Transactions

DescriptionAfter the fix done to improve performance, in case of Backdated transactions, it is possible to calculate wrong cost values.

Now, the accumulated stock and accumulated valuation are persisted in the m_costing table. Due to backdated cost adjustments, this values can differ from the original ones and they create further problems.
Steps To ReproduceThis problem has been found with SuperdoƱa's data.
It can be reproduced using their environment.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0034184 closeddmiguelez API Change Request. Add parameters in CostingUtils and CostAdjustmentUtils methods 
blocks defect 00339683.0PR17Q1 closeddmiguelez Wrong costs calculated with Backdated Transactions 

-  Notes
(0091110)
hgbot (developer)
2016-11-03 18:11

Repository: erp/backports/3.0PR16Q3.3
Changeset: 404659096756eea6fcecc6cd7231539eb7a99fe3
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Sep 19 13:55:25 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/404659096756eea6fcecc6cd7231539eb7a99fe3 [^]

Fixes issue 33969: Wrong costs calculated with Backdated Transactions

CumStock and CumCost will not be calculated in case there is a cost adjustment.

---
M src/org/openbravo/costing/AverageCostAdjustment.java
---
(0091111)
hgbot (developer)
2016-11-03 18:11

Repository: erp/backports/3.0PR16Q3.3
Changeset: 26274e8c2d90ca6c41194a09c157faff70747636
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Sep 19 14:53:39 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/26274e8c2d90ca6c41194a09c157faff70747636 [^]

Related to issue 33969: Code review improvements

---
M src/org/openbravo/costing/AverageCostAdjustment.java
---
(0091112)
hgbot (developer)
2016-11-03 18:12

Repository: erp/backports/3.0PR16Q3.3
Changeset: ca8e6c648859f6116bdec776cb35d67df3387662
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Sep 19 13:55:25 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/ca8e6c648859f6116bdec776cb35d67df3387662 [^]

Fixes issue 33969: Filter by costing transaction instead of current transaction

Filter by costing transaction instead of current transaction when existsCumulatedStockOnTrxDate or existsCumulatedValuationOnTrxDate in CostAdjustmentUtils.getStockOnTransactionDate and CostAdjustmentUtils.getValuedStockOnTransactionDate.

---
M src/org/openbravo/costing/CostAdjustmentUtils.java
---
(0091114)
hgbot (developer)
2016-11-03 18:12

Repository: erp/backports/3.0PR16Q3.3
Changeset: 452dd1e6244e3668ffb9f047e767a711d5a9395b
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Sep 19 14:53:39 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/452dd1e6244e3668ffb9f047e767a711d5a9395b [^]

Related to issue 33969: Retrieve costing transaction only once

Retrieve costing transaction only once in CostAdjustmentUtils.getStockOnTransactionDate, CostAdjustmentUtils.getValuedStockOnTransactionDate, CostingUtils.getCurrentStock and CostingUtils.getCurrentValuedStock.

---
M src/org/openbravo/costing/CostAdjustmentUtils.java
M src/org/openbravo/costing/CostingUtils.java
---
(0091115)
hgbot (developer)
2016-11-03 18:12

Repository: erp/backports/3.0PR16Q3.3
Changeset: 177493e19509f3b9a08a590dc1fec53de3618d83
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Sep 19 13:55:25 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/177493e19509f3b9a08a590dc1fec53de3618d83 [^]

Fixes issue 33969: Add movementdate filter in CostAdjustmentUtils in case BDT

Add movementdate filter in case costing rule allows backdated transactions in CostAdjustmentUtils.getStockOnTransactionDate and CostAdjustmentUtils.getValuedStockOnTransactionDate.

---
M src/org/openbravo/costing/CostAdjustmentUtils.java
---
(0091116)
hgbot (developer)
2016-11-03 18:12

Repository: erp/backports/3.0PR16Q3.3
Changeset: f3a41cbe34efa2f9aae0d48d7e13cfae3b637e2c
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Sep 19 14:53:39 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/f3a41cbe34efa2f9aae0d48d7e13cfae3b637e2c [^]

Related to issue 33969: Rename movementdate and dateFrom parameters

Rename movementdate and dateFrom parameters to cmvtdate and ctrxdate and use costing transaction trxprocessdate instead of costing starting date in CostAdjustmentUtils.getStockOnTransactionDate and CostAdjustmentUtils.getValuedStockOnTransactionDate.

---
M src/org/openbravo/costing/CostAdjustmentUtils.java
---
(0091117)
hgbot (developer)
2016-11-03 18:12

Repository: erp/backports/3.0PR16Q3.3
Changeset: d3f8058d74c35f85d82604aede810011b0ebf49c
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Sep 20 18:27:30 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/d3f8058d74c35f85d82604aede810011b0ebf49c [^]

Fixes issue 33969: Use getLastCumulatedCosting instead of getProductCost

Use AverageAlgorithm.getLastCumulatedCosting instead of AverageAlgorithm.getProductCost to retrieve last costing entry with cumulated values in CostAdjustmentUtils.getStockOnTransactionDate, CostingUtils.getCurrentStock and CostingUtils.getCurrentValuedStock.

---
M src/org/openbravo/costing/AverageAlgorithm.java
M src/org/openbravo/costing/CostAdjustmentUtils.java
M src/org/openbravo/costing/CostingUtils.java
---
(0091118)
hgbot (developer)
2016-11-03 18:12

Repository: erp/backports/3.0PR16Q3.3
Changeset: 429225c4b15308f00981273bb76356e7b75f380e
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Sep 20 19:01:51 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/429225c4b15308f00981273bb76356e7b75f380e [^]

Related to issue 33969: Avoid API change

Add cumcost not null restriction and retrieve unique result in AverageAlgorithm.getLastCumulatedCosting.
Avoid API change by calculating correct date outside the method and removing unneeded transaction parameter in CostingUtils.getCurrentStock and CostingUtils.getCurrentValuedStock.
Use AverageAlgorithm.getLastCumulatedCosting also in CostAdjustmentUtils.getValuedStockOnTransactionDate.
Call to AverageAlgorithm.getLastCumulatedCosting with movementdate or trxprocessdate depending on areBackdatedTrxFixed in CostAdjustmentUtils.getStockOnTransactionDate and CostAdjustmentUtils.getValuedStockOnTransactionDate.

---
M src/org/openbravo/costing/AverageAlgorithm.java
M src/org/openbravo/costing/CostAdjustmentUtils.java
M src/org/openbravo/costing/CostingUtils.java
---
(0091119)
hgbot (developer)
2016-11-03 18:13

Repository: erp/backports/3.0PR16Q3.3
Changeset: 49c64d9ae3ab628dbba93453274d234dbda9fce4
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Sep 20 19:40:33 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/49c64d9ae3ab628dbba93453274d234dbda9fce4 [^]

Related to issue 33969: Return costing cumulated values if trx is costing trx

Return costing cumulated values if trx is costing trx in CostAdjustmentUtils.getStockOnTransactionDate and CostAdjustmentUtils.getValuedStockOnTransactionDate.

---
M src/org/openbravo/costing/CostAdjustmentUtils.java
---
(0091120)
hgbot (developer)
2016-11-03 18:13

Repository: erp/backports/3.0PR16Q3.3
Changeset: 718a2f055ac285c178f71cb96eb69a6797fc9d5e
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Sep 20 19:49:10 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/718a2f055ac285c178f71cb96eb69a6797fc9d5e [^]

Fixes issue 33969: Truncate costing rule fix backdated from date

Truncate costing rule fix backdated from date when compering it with transaction movement date in CostingServer.java.

---
M src/org/openbravo/costing/CostingServer.java
---
(0091121)
hgbot (developer)
2016-11-03 18:13

Repository: erp/backports/3.0PR16Q3.3
Changeset: 3f66feff67fd5469e4dfcea5d35cc7ac3ef1b59b
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Sep 20 20:05:45 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/3f66feff67fd5469e4dfcea5d35cc7ac3ef1b59b [^]

Related to issue 33969: Truncate also transaction movement date

Truncate also transaction movement date when compering it with costing rule fix backdated from date in CostingServer.java.
Truncate also transaction movement date and costing rule fix backdated from date for costing rules with standard algorithm.

---
M src/org/openbravo/costing/CostingServer.java
---
(0091122)
hgbot (developer)
2016-11-03 18:13

Repository: erp/backports/3.0PR16Q3.3
Changeset: aa28d90c77a2d9a23c290319fdbb39526b7094fe
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Sep 20 20:59:27 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/aa28d90c77a2d9a23c290319fdbb39526b7094fe [^]

Fixes issue 33969: Revert negative adjustment if needed by BDT

Revert negative adjustment when a backdated transaction turns negative stock into positive stock.

---
M src/org/openbravo/costing/AverageCostAdjustment.java
---
(0091123)
hgbot (developer)
2016-11-03 18:13

Repository: erp/backports/3.0PR16Q3.3
Changeset: 10c28d8166b0ace25e1b88b360e5d5837b0f9032
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Sep 20 21:05:21 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/10c28d8166b0ace25e1b88b360e5d5837b0f9032 [^]

Related to issue 33969: Move getNegativeStockAdjustments method

Move AverageCostAdjustment.getNegativeStockAdjustments method to the end of the file and add documentation.

---
M src/org/openbravo/costing/AverageCostAdjustment.java
---
(0091124)
hgbot (developer)
2016-11-03 18:13

Repository: erp/backports/3.0PR16Q3.3
Changeset: cb0b873cdc9e3596ee2bc679f2fc64cff8fa0a42
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Sep 20 20:29:15 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/cb0b873cdc9e3596ee2bc679f2fc64cff8fa0a42 [^]

Fixes issue 33969: Fix rounding issue when cumulate stock has many decimals

Round cumcost and cumstock to currency cost precision before divide them to calculate cost to avoid rounding issues in CostAdjustmentUtils.getStockOnTransactionDate, CostAdjustmentUtils.getValuedStockOnTransactionDate, CostingUtils.getCurrentStock and CostingUtils.getCurrentValuedStock.

---
M src/org/openbravo/costing/AverageAlgorithm.java
M src/org/openbravo/costing/AverageCostAdjustment.java
M src/org/openbravo/costing/CostAdjustmentUtils.java
M src/org/openbravo/costing/CostingServer.java
M src/org/openbravo/costing/CostingUtils.java
---
(0091125)
hgbot (developer)
2016-11-03 18:13

Repository: erp/backports/3.0PR16Q3.3
Changeset: 04ce065abecc9832d5eaad4020eaef0a57cce850
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Sep 20 20:53:11 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/04ce065abecc9832d5eaad4020eaef0a57cce850 [^]

Related to issue 33969: Send parameters in order

Send parameters in order, first currency and then costing, to CostAdjustmentUtils.getStockOnTransactionDate and CostingUtils.getCurrentStock.
Round also cumstock and cumcost when transaction is the costing transaction.

---
M src/org/openbravo/costing/CostAdjustmentUtils.java
M src/org/openbravo/costing/CostingUtils.java
---
(0091126)
hgbot (developer)
2016-11-03 18:13

Repository: erp/backports/3.0PR16Q3.3
Changeset: a7ab2e563804a6433bb2430549f5cb5c3366e236
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Sep 20 22:20:32 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/a7ab2e563804a6433bb2430549f5cb5c3366e236 [^]

Related to issue 33969: Avoid another API change

Use client or organization currency to round cumstock and cumcost, to avoid send currency to CostAdjustmentUtils.getStockOnTransactionDate and CostingUtils.getCurrentStock and avoid the API change.

---
M src/org/openbravo/costing/AverageAlgorithm.java
M src/org/openbravo/costing/AverageCostAdjustment.java
M src/org/openbravo/costing/CostAdjustmentUtils.java
M src/org/openbravo/costing/CostingServer.java
M src/org/openbravo/costing/CostingUtils.java
---
(0091127)
hgbot (developer)
2016-11-03 18:14

Repository: erp/backports/3.0PR16Q3.3
Changeset: 68f32f4598643f1a77b506c0116581bc48901332
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Sep 20 21:06:34 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/68f32f4598643f1a77b506c0116581bc48901332 [^]

Fixes issue 33969: Avoid errors with Goods Movements

---
M src/org/openbravo/costing/CostingUtils.java
---
(0091128)
hgbot (developer)
2016-11-03 18:14

Repository: erp/backports/3.0PR16Q3.3
Changeset: a68f1e5c24f6cac46f1db7cdda8d0841dc1e86de
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Sep 27 13:24:12 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/a68f1e5c24f6cac46f1db7cdda8d0841dc1e86de [^]

Related to issue 33969: Use cumulated values when movement date is the same

Use also cumulated values in CostAdjustmentUtils.getStockOnTransactionDate and CostAdjustmentUtils.getValuedStockOnTransactionDate methods when trx and ctrx movementdate is the same.
Also, truncate movementdate before comparing it.

---
M src/org/openbravo/costing/CostAdjustmentUtils.java
---
(0091129)
hgbot (developer)
2016-11-03 18:14

Repository: erp/backports/3.0PR16Q3.3
Changeset: 70fe68a260ef25be2de66254a890a4acec01aab2
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Sep 20 22:21:54 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/70fe68a260ef25be2de66254a890a4acec01aab2 [^]

Related to issue 33969: Remove cumstock and cumcost assert in TestCosting

---
M src-test/src/org/openbravo/test/costing/TestCosting.java
---
(0091130)
hgbot (developer)
2016-11-03 18:14

Repository: erp/backports/3.0PR16Q3.3
Changeset: 382ebd1e959999b42c509d2825152e0e1394bc91
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Sep 28 13:57:03 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/382ebd1e959999b42c509d2825152e0e1394bc91 [^]

Related to issue 33969: Make an API change

Add MaterialTransaction trx parameter to CostingUtils.getCurrentStock and CostingUtils.getCurrentValuedStock methods.
Also, remove product and date unneeded parameters and add areBackdatedTrxFixed parameter to avoid get again the costingRule.

---
M src/org/openbravo/costing/AverageAlgorithm.java
M src/org/openbravo/costing/CostingUtils.java
---
(0091131)
hgbot (developer)
2016-11-03 18:14

Repository: erp/backports/3.0PR16Q3.3
Changeset: a0be1207c54fed0a5a022f8b6275553c6301bc30
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Sep 28 14:12:00 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/a0be1207c54fed0a5a022f8b6275553c6301bc30 [^]

Related to issue 33969: Make another API change

Send currency to CostAdjustmentUtils.getStockOnTransactionDate and CostingUtils.getCurrentStock.

---
M src/org/openbravo/costing/AverageAlgorithm.java
M src/org/openbravo/costing/AverageCostAdjustment.java
M src/org/openbravo/costing/CostAdjustmentUtils.java
M src/org/openbravo/costing/CostingServer.java
M src/org/openbravo/costing/CostingUtils.java
---
(0091132)
hgbot (developer)
2016-11-03 18:14

Repository: erp/backports/3.0PR16Q3.3
Changeset: a233fe2efc226f13884733a68daa061a2c6979e4
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Sep 28 14:16:44 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/a233fe2efc226f13884733a68daa061a2c6979e4 [^]

Related to issue 33969: Exclude M+ in case M- also in CostAdjustmentUtils

Exclude M+ in case M- also in CostAdjustmentUtils.getStockOnTransactionDate and CostAdjustmentUtils.getValuedStockOnTransactionDate as it is done in CostingUtils.getCurrentStock and CostingUtils.getCurrentValuedStock.

---
M src/org/openbravo/costing/CostAdjustmentUtils.java
M src/org/openbravo/costing/CostingUtils.java
---
(0091133)
hgbot (developer)
2016-11-03 18:14

Repository: erp/backports/3.0PR16Q3.3
Changeset: 22b79f0e3d6cf17260dd794ccc944210551e99f7
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Oct 11 17:41:03 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/22b79f0e3d6cf17260dd794ccc944210551e99f7 [^]

Related to issue 33969: Add comments

---
M src/org/openbravo/costing/CostAdjustmentUtils.java
M src/org/openbravo/costing/CostingUtils.java
---
(0091134)
aferraz (developer)
2016-11-03 18:17

Code review + Testing OK

- Issue History
Date Modified Username Field Change
2016-09-13 12:57 dmiguelez Type defect => backport
2016-09-13 12:57 dmiguelez Target Version => 3.0PR16Q3.2
2016-09-29 17:52 dmiguelez Target Version 3.0PR16Q3.2 => 3.0PR16Q3.3
2016-11-03 17:53 aferraz Relationship added depends on 0034184
2016-11-03 18:11 hgbot Checkin
2016-11-03 18:11 hgbot Note Added: 0091110
2016-11-03 18:11 hgbot Status scheduled => resolved
2016-11-03 18:11 hgbot Resolution open => fixed
2016-11-03 18:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/404659096756eea6fcecc6cd7231539eb7a99fe3 [^]
2016-11-03 18:11 hgbot Checkin
2016-11-03 18:11 hgbot Note Added: 0091111
2016-11-03 18:12 hgbot Checkin
2016-11-03 18:12 hgbot Note Added: 0091112
2016-11-03 18:12 hgbot Fixed in SCM revision http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/404659096756eea6fcecc6cd7231539eb7a99fe3 [^] => http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/ca8e6c648859f6116bdec776cb35d67df3387662 [^]
2016-11-03 18:12 hgbot Checkin
2016-11-03 18:12 hgbot Note Added: 0091114
2016-11-03 18:12 hgbot Checkin
2016-11-03 18:12 hgbot Note Added: 0091115
2016-11-03 18:12 hgbot Fixed in SCM revision http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/ca8e6c648859f6116bdec776cb35d67df3387662 [^] => http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/177493e19509f3b9a08a590dc1fec53de3618d83 [^]
2016-11-03 18:12 hgbot Checkin
2016-11-03 18:12 hgbot Note Added: 0091116
2016-11-03 18:12 hgbot Checkin
2016-11-03 18:12 hgbot Note Added: 0091117
2016-11-03 18:12 hgbot Fixed in SCM revision http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/177493e19509f3b9a08a590dc1fec53de3618d83 [^] => http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/d3f8058d74c35f85d82604aede810011b0ebf49c [^]
2016-11-03 18:12 hgbot Checkin
2016-11-03 18:12 hgbot Note Added: 0091118
2016-11-03 18:13 hgbot Checkin
2016-11-03 18:13 hgbot Note Added: 0091119
2016-11-03 18:13 hgbot Checkin
2016-11-03 18:13 hgbot Note Added: 0091120
2016-11-03 18:13 hgbot Fixed in SCM revision http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/d3f8058d74c35f85d82604aede810011b0ebf49c [^] => http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/718a2f055ac285c178f71cb96eb69a6797fc9d5e [^]
2016-11-03 18:13 hgbot Checkin
2016-11-03 18:13 hgbot Note Added: 0091121
2016-11-03 18:13 hgbot Checkin
2016-11-03 18:13 hgbot Note Added: 0091122
2016-11-03 18:13 hgbot Fixed in SCM revision http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/718a2f055ac285c178f71cb96eb69a6797fc9d5e [^] => http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/aa28d90c77a2d9a23c290319fdbb39526b7094fe [^]
2016-11-03 18:13 hgbot Checkin
2016-11-03 18:13 hgbot Note Added: 0091123
2016-11-03 18:13 hgbot Checkin
2016-11-03 18:13 hgbot Note Added: 0091124
2016-11-03 18:13 hgbot Fixed in SCM revision http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/aa28d90c77a2d9a23c290319fdbb39526b7094fe [^] => http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/cb0b873cdc9e3596ee2bc679f2fc64cff8fa0a42 [^]
2016-11-03 18:13 hgbot Checkin
2016-11-03 18:13 hgbot Note Added: 0091125
2016-11-03 18:13 hgbot Checkin
2016-11-03 18:13 hgbot Note Added: 0091126
2016-11-03 18:14 hgbot Checkin
2016-11-03 18:14 hgbot Note Added: 0091127
2016-11-03 18:14 hgbot Fixed in SCM revision http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/cb0b873cdc9e3596ee2bc679f2fc64cff8fa0a42 [^] => http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/68f32f4598643f1a77b506c0116581bc48901332 [^]
2016-11-03 18:14 hgbot Checkin
2016-11-03 18:14 hgbot Note Added: 0091128
2016-11-03 18:14 hgbot Checkin
2016-11-03 18:14 hgbot Note Added: 0091129
2016-11-03 18:14 hgbot Checkin
2016-11-03 18:14 hgbot Note Added: 0091130
2016-11-03 18:14 hgbot Checkin
2016-11-03 18:14 hgbot Note Added: 0091131
2016-11-03 18:14 hgbot Checkin
2016-11-03 18:14 hgbot Note Added: 0091132
2016-11-03 18:14 hgbot Checkin
2016-11-03 18:14 hgbot Note Added: 0091133
2016-11-03 18:17 aferraz Review Assigned To => aferraz
2016-11-03 18:17 aferraz Note Added: 0091134
2016-11-03 18:17 aferraz Status resolved => closed
2016-11-03 18:17 aferraz Fixed in Version => 3.0PR16Q3.3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker